<?php
/*------------------------------------------------------------------------
# "Hot Joomla Carousel Pro" Joomla module
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access'); // no direct access

// get the document object
$doc = JFactory::getDocument();

// load jQuery
JHtml::_('jquery.framework');

// load scripts
$doc->addScript($mosConfig_live_site.'/modules/mod_hot_joomla_carousel_pro/js/jquery.carousel.min.js');

//unique identifier of module instance
$uid = rand(0,100000);

// add your stylesheet
$doc->addStyleSheet( 'modules/mod_hot_joomla_carousel_pro/tmpl/hot_joomla_carousel_pro.css' );

if($buttonRadius) {
	$buttonRadiusHTML = '-moz-border-radius:'.$buttonRadius.'px; ';
	$buttonRadiusHTML .= '-webkit-border-radius:'.$buttonRadius.'px;';
	$buttonRadiusHTML .= 'border-radius:'.$buttonRadius.'px;';
}

$shadowHeight = $moduleHeight + 25;

// style declaration
$doc->addStyleDeclaration( '

.hotcarousel li.carouselimage img {
	border:'.$objectBorderWidth.'px solid '.$objectBorderColor.';
	margin:'.$objectMarginReal.'px;
	padding:'.$objectPadding.'px;
}

.hotcarousel li .carouselarticle {
	border:'.$objectBorderWidth.'px solid '.$objectBorderColor.';
	margin:'.$objectMarginReal.'px;
	padding:'.$objectPadding.'px;
	width:'.$objectWidth.'px;
	height:'.$objectHeight.'px;
	overflow:hidden;
}

.hotcarousel .js {
	overflow:hidden;
	height:'.$shadowHeight.'px;
}

.hotcarousel .carousel-next {
	background: url('.$mosConfig_live_site.'/modules/mod_hot_joomla_carousel_pro/images/icon'.$arrowStyle.'_right.png) 0 '.$controlPositon.'px no-repeat; float:left;
}

.hotcarousel .carousel-previous {
	background: url('.$mosConfig_live_site.'/modules/mod_hot_joomla_carousel_pro/images/icon'.$arrowStyle.'_left.png) 0 '.$controlPositon.'px no-repeat; float:left;
}

.hotcarousel .carousel-control {
	height:'.$moduleHeightControl.'px;
	'.$arrowDisplayHTML.'
}

div.carousel-pagination a span {
	border:'.$buttonBorderSize.'px solid '.$buttonBorderColor.';
	padding:'.$buttonVertPadding.'px '.$buttonHorizPadding.'px;
	margin:1px;
	line-height:20px;
	background:'.$buttonBgColor.';
	'.$buttonRadiusHTML.'	
	cursor:pointer;
}

div.carousel-pagination span:hover, div.carousel-pagination a.active span {
	background:'.$buttonBgColorActive.';
	cursor:pointer;
	border:'.$buttonBorderSizeActive.'px solid '.$buttonBorderColorActive.';
}

.carousel-wrap {
	width:'.$moduleWidth.'px;
	height:'.$moduleHeightControl.'px !important;
	float:left;
}

.hidecarousel {
	display:none;
}

' );

$number_of_slides = count($html2out);

for ($loop = 0; $loop < $number_of_slides ; $loop += 1) {

$slide_number = $loop + 1;
$doc->addStyleDeclaration( '

.carouselarticle'.$loop.' {
	background:url('.$mosConfig_live_site.'/images/stories/demo/carousel_pro/slide'.$slide_number.'.jpg) no-repeat;	
	width:'.$moduleWidth.'px;
	height:'.$moduleHeightControl.'px !important;
	margin:14px 0;
}

.carouseltext {
	background:url('.$mosConfig_live_site.'/modules/mod_hot_joomla_carousel_pro/images/text_bg.png);	
	width:229px;
	height:'.$objectHeight.'px !important;
	overflow:hidden;
	position:relative;
	left:608px;
}

' );
	
}

?>

<script type="text/javascript">
	jQuery(document).ready(function() {				   
			jQuery('#hotcarouselmodule').removeClass('hidecarousel');	
	});

    jQuery(function(){
        jQuery("div.foo").carousel({
			direction: "<?php echo $carouselDirection; ?>",
			loop: <?php if ($carouselLoop) { echo "true"; }else{ echo "false"; } ?>,
			dispItems: <?php echo $articleNumber; ?>,
			pagination: <?php if ($carouselPagination) { echo "true"; }else{ echo "false"; } ?>,
			paginationPosition: "inside",
			autoSlide: <?php if ($carouselAutoSlide) { echo "true"; }else{ echo "false"; } ?>,
			autoSlideInterval: <?php echo $carouselAutoSlideInterval; ?>,
			delayAutoSlide: false,
			combinedClasses: false,
			effect: "<?php echo $carouselEffect; ?>",
			slideEasing: "swing",
			animSpeed: "<?php echo $carouselAnimSpeed; ?>",
			equalWidths: "true"
		});
    });
</script>
<div id="hotcarouselmodule" class="hotcarousel hidecarousel">
    <div class="foo">
         <ul style="margin:0; padding:0">
    
			<?php
			
			if ($where == 'section' || $where == 'category' || $where == 'content') {
				// source is content section/category/item
				foreach ($html2out as $key => $value) {
					echo '<li class="carouselcontent"><div class="carouselarticle'.$key.'"><div class="carouseltext"><div class="carouseltext_pad">'.$value.'<div class="clr"></div></div></div></div></li>';
				}
				
			}else{
			
				$linksList = explode("\n", $imageLinks);
				$carouselPath = $_SERVER['SCRIPT_FILENAME'];
				$carouselRealPath = substr_replace($carouselPath ,"",-9);
				$carouselFullPath = $carouselRealPath.$carouselImagesPath;
				$infinite_list = "";
				$linkTargetHTML = "";
				$fakeFiles = 0;
				$currentLink = "";
				$currentLinkClose = "";
				if ($handle = opendir($carouselFullPath)) {
					while (false !== ($file = readdir($handle))) {
						if ($file != "." && $file != "..") {
							$infinite_list = $infinite_list."$file"."||";
						}
						if ($file == ".") { $fakeFiles = $fakeFiles + 1; }
						if ($file == "..") { $fakeFiles = $fakeFiles + 1; }
					}
					closedir($handle);
					
					// edited may 2011
					$infinite_pic = explode("||", $infinite_list);
					$infinite_pics_number = count($infinite_pic);
					sort($infinite_pic);
					for ($loop = 0; $loop < $infinite_pics_number ; $loop += 1) {
						$loopLink = $loop - $fakeFiles;
						if(!isset($infinite_pic[$loop])) continue;
        				if($infinite_pic[$loop] === '') continue;
        				if($loopLink >= 0 && $loopLink < $infinite_pics_number - $fakeFiles - 1) {
	        				if($linksList[$loopLink] && $linksList[$loopLink]!='$$') {
								$currentLink = '<a href="'.$linksList[$loopLink].'"'.$linkTargetHTML.'>';
						// end	
							
								$currentLinkClose = '</a>';
							}else{
								$currentLink = '';
								$currentLinkClose = '';
							}
						}
						$pic_type = explode(".", $infinite_pic[$loop]);
						if ((($pic_type[1]=="jpg")or($pic_type[1]=="gif"))or(($pic_type[1]=="jpeg")or($pic_type[1]=="png"))) {
							echo '<li class="carouselimage">'.$currentLink.'<img src="'.$carouselImagesPath.'/'.$infinite_pic[$loop].'" alt="" width="'.$objectWidth.'" height="'.$objectHeight.'" class="reflect" />'.$currentLinkClose.'</li>';
							echo "\n";
						} elseif ((($pic_type[1]=="JPG")or($pic_type[1]=="GIF"))or(($pic_type[1]=="JPEG")or($pic_type[1]=="PNG"))) {
							echo '<li class="carouselimage">'.$currentLink.'<img src="'.$carouselImagesPath.'/'.$infinite_pic[$loop].'" alt="" width="'.$objectWidth.'" height="'.$objectHeight.'" />'.$currentLinkClose.'</li>';
							echo "\n";						
						}
					}
				}
				
			}
            ?>
    
        </ul>
    </div>
</div>
<div class="clr"></div>